Bug 166602 - initscripts-8.12: No USB devices
initscripts-8.12: No USB devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 14:52 EDT by Sammy
Modified: 2014-03-16 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: 8.12-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 01:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-08-23 14:52:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.2 (like Gecko)

Description of problem:
After booting with 8.12-1 my optical mouse does not function. Examining 
/var/log/messages show that usb modules are not loaded/initialized. 
FYI 

Version-Release number of selected component (if applicable):
initscripts-8.12-1

How reproducible:
Always

Steps to Reproduce:
1. Upgrade initscripts to 8.12-1 
2. reboot 
3. try to use usb 
   

Additional info:
Comment 1 Bill Nottingham 2005-08-23 15:13:22 EDT
What happens if you install kudzu-1.1.121-1 and then just rebuild initscripts?
Comment 2 Bill Nottingham 2005-08-23 15:23:42 EDT
Erm, kudzu and kudzu-devel, of course.
Comment 3 Lars G 2005-08-23 19:15:35 EDT
had slighty the same here.
after updating initscripts i noticed that my usb mouse did not work any more.
checked the loaded modules and saw that almost 2/3 of the modules were missing.
so i had to revert to the previous initscripts to get the box working ok again.


with the new initscripts, only the following modules were loaded:

Module                  Size  Used by
wacom                   9536  0 
nvidia               3422536  0 
grip                    4416  0 
gameport                6024  1 grip
realtime                4688  0 
autofs4                12292  2 
dm_mod                 36604  0 
video                   8708  0 
hotkey                  5924  0 
button                  2640  0 
prism54                42632  0 


with initscripts-8.11.1-1, i have the modules loaded correctly:

Module                  Size  Used by
grip                    4416  0 
realtime                4688  0 
autofs4                12292  2 
w83l785ts               2896  0 
asb100                 12308  0 
i2c_sensor              1728  2 w83l785ts,asb100
dm_mod                 36604  0 
video                   8708  0 
hotkey                  5924  0 
button                  2640  0 
wacom                   9536  0 
ohci1394               25908  0 
ieee1394              261108  1 ohci1394
ohci_hcd               14980  0 
ehci_hcd               24712  0 
nvidia               3422536  12 
i2c_nforce2             4096  0 
i2c_core               10960  4 w83l785ts,asb100,i2c_sensor,i2c_nforce2
emu10k1_gp              1280  0 
gameport                6024  3 grip,emu10k1_gp
snd_emu10k1_synth       4160  0 
snd_emux_synth         23488  1 snd_emu10k1_synth
snd_seq_virmidi         3008  1 snd_emux_synth
snd_seq_midi_event      3456  1 snd_seq_virmidi
snd_seq_midi_emul       4352  1 snd_emux_synth
snd_seq                33872  4
snd_emux_synth,snd_seq_virmidi,snd_seq_midi_event,snd_seq_midi_emul
snd_emu10k1            87204  5 snd_emu10k1_synth
snd_rawmidi            13728  2 snd_seq_virmidi,snd_emu10k1
snd_ac97_codec         60540  1 snd_emu10k1
snd_seq_device          4172  4 snd_emu10k1_synth,snd_seq,snd_emu10k1,snd_rawmidi
snd_pcm_oss            37664  0 
snd_mixer_oss          12288  2 snd_pcm_oss
snd_pcm                58888  5 snd_emu10k1,snd_ac97_codec,snd_pcm_oss
snd_timer              14788  3 snd_seq,snd_emu10k1,snd_pcm
snd_page_alloc          5128  2 snd_emu10k1,snd_pcm
snd_util_mem            1408  2 snd_emux_synth,snd_emu10k1
snd_hwdep               4384  2 snd_emux_synth,snd_emu10k1
snd                    29476  16
snd_emux_synth,snd_seq_virmidi,snd_seq,snd_emu10k1,snd_rawmidi,snd_ac97_codec,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore               3936  2 snd
forcedeth              12608  0 
3c59x                  28648  0 
mii                     3008  1 3c59x
prism54                42632  0 


my modprobe.conf:

include /etc/modprobe.d/modprobe.conf.dist

alias scsi_hostadapter sata_sil
alias eth0 prism54
alias eth1 3c59x
alias eth2 forcedeth
alias usb-controller ohci-hcd
alias usb-controller1 ehci-hcd
alias ieee1394-controller ohci1394
options nvidia NVreg_EnableAGPFW=1
alias char-major-195* nvidia
Comment 4 Bill Nottingham 2005-08-23 21:15:50 EDT
Lars, please see comment #1 - does that work for you?
Comment 5 Rodd Clarkson 2005-08-24 00:20:07 EDT
Bill,

I had the same problem and tried what you said.

By this I mean that I already had all the right versions install, so I grabbed
the SRPM for initscript and then rebuilt it (as a user) and then installed it
(as root using --force) and then rebooted.

After this all is good.
Comment 6 Bill Nottingham 2005-08-24 01:44:30 EDT
OK, makes sense. (8.12-1 was built against kudzu-1.1.120-1, which had some
problems.)

Fixed in 8.12-2.
Comment 7 Lars G 2005-08-24 14:06:27 EDT
worksforme, thanks!
Comment 8 sangu 2005-09-09 21:59:53 EDT
This problem happens again in initscripts-8.13-1. 
Comment 9 sangu 2005-09-09 22:01:18 EDT
Becase of updating to kudzu-1.2.1-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.